import index from './modules/index'
import preview from './modules/preview'
import station from './modules/station'
import ass from './modules/ass'
import record from './modules/record'
import setting from './modules/setting'

import BasicLayout from '@/layouts/home'

const frameIn = [
    {
        path: '/',
        redirect: '/login',
    },
    {
        path: '/index',
        redirect: '/preview',
    },
    {
        path: '/',
        component: () => BasicLayout,
        meta: { title: '首页' },
        children: []
    },
    index,
    preview,
    station,
    ass,
    record,
    setting
]

/**
 * 在主框架之外显示
 */

const frameOut = [
    // 登录
    {
        path: '/login',
        name: 'login',
        meta: {
            title: '登录'
        },
        component: () => import('@/pages/account/login')
    }
];

/**
 * 错误页面
 */

const errorPage = [
    {
        path: '/403',
        name: '403',
        meta: {
            title: '403'
        },
        component: () => import('@/pages/exception/error/403')
    },
    {
        path: '*',
        name: '404',
        meta: {
            title: '404'
        },
        component: () => import('@/pages/exception/error/404')
    }
];

// 导出需要显示菜单的
export const frameInRoutes = frameIn;

// 重新组织后导出
export default [
    ...frameIn,
    ...frameOut,
    ...errorPage
];